package com.ruoyi.system.mapper;

import com.ruoyi.system.model.power.PowerSourceModel;
import com.ruoyi.system.model.power.dao.PowerClassificationQueryDao;
import com.ruoyi.system.model.power.dao.PowerControlDao;
import com.ruoyi.system.model.power.dto.PowerDisplayDto;
import com.ruoyi.system.model.salary.ConfigModel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 2024/7/30
 */
@Mapper
public interface PowerDisplayMapper {
    List<PowerClassificationQueryDao> selectClassificationToMid(@Param("id") String mindId);

    void insert(@Param("list") List<PowerDisplayDto> list);

    List<PowerControlDao> selControl(@Param("id") String mindId);

    List<String> selField(@Param("id") String mindId);

    List<PowerDisplayDto> selOfMid(@Param("id") String mindId, @Param("date") String date);

    void update(List<PowerDisplayDto> collect);

    List<ConfigModel> seletPowerConfig();

    List<PowerSourceModel> selectSource(@Param("number") String number);
}
